You must pass individual tests to obtain marks.
The Mark of the Challenger is only given to those who pass the Trial of the Challenger. You must be above level 35 to take the test. And to take the Trial of the Challenger, visit Kash of Dion Castle Town.
The Mark of Trust is only given to those who pass the Testimony of Trust. You must be above level 37 to take the test. To take the Testimony of Trust, visit High Priest Hollint at the Town of Oren.
And finally, the Mark of the Champion is only given to those who pass the Test of the Champion. You must be above level 39 to take the test. To take the Test of the Champion, visit Veteran Ascalon of Giran Castle Town.
Return